Bug 594844 - Review Request: iec16022 - Generate ISO/IEC 16022 2D barcodes
Review Request: iec16022 - Generate ISO/IEC 16022 2D barcodes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 14:45 EDT by Tareq Al Jurf
Modified: 2014-10-13 19:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: iec16022-0.2.4-7.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 14:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ville.skytta: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Fix test suite exit status on failure (1.88 KB, patch)
2010-06-02 02:02 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Tareq Al Jurf 2010-05-21 14:45:20 EDT
Spec URL: http://taljurf.fedorapeople.org/Packages/i686/iec16022/iec16022.spec
SRPM URL: http://taljurf.fedorapeople.org/Packages/i686/iec16022/iec16022-0.2.4-3.fc12.src.rpm
Description: iec16022 is a program for producing ISO/IEC 16022 2D barcodes, also
known as Data Matrix.  These barcodes are defined in the ISO/IEC 16022
standard.
Comment 1 Ville Skyttä 2010-05-24 11:47:22 EDT
spot, do your comments about another Data Matrix related package in bug 561286 also apply to this one?  Adding blocker on FE-legal until you've had a chance to take a look.
Comment 2 Tom "spot" Callaway 2010-05-24 12:10:30 EDT
I continue to be unaware of any valid patents which would prevent this package from being included in Fedora. Lifting FE-Legal.
Comment 3 Ville Skyttä 2010-05-24 14:37:10 EDT
1) If no previous version of -libs is installed (for example in a clean mock build), the test suite throws errors but doesn't fail the build:

make: Entering directory `/builddir/build/BUILD/iec16022-0.2.4/test'
make  check-TESTS
make[1]: Entering directory `/builddir/build/BUILD/iec16022-0.2.4/test'
/builddir/build/BUILD/iec16022-0.2.4/.libs/lt-iec16022: error while loading shared libraries: libiec16022.so.0: cannot open shared object file: No such file or directory
[...]
diff: testsuite-test.text: No such file or directory
Text test FAILED
diff: testsuite-test.eps: No such file or directory
EPS test FAILED
diff: testsuite-test.png: No such file or directory
PNG test FAILED
diff: testsuite-test.bin: No such file or directory
Bin test FAILED
diff: testsuite-test.hex: No such file or directory
Hex test FAILED
rm: cannot remove `testsuite-test.*': No such file or directory
PASS: ./testsuite.sh
=============
1 test passed
=============

Some LD_LIBRARY_PATH settings should be added to make the test suite do the right thing (use the just built libraries, this should be reported upstream), for example this at start of %check:
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}

And patching of upstream build process/test scripts is needed; if tests fail, the test suite and build should fail too.

2) (Cosmetic) --disable-dependency-tracking is the default nowadays, it can be dropped from %configure arguments.

3) Would not hurt to make the dependency on -libs in -devel arch qualified, ditto perhaps add one from main package to -libs:
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
http://fedoraproject.org/wiki/PackagingDrafts/ArchSpecificRequires
Comment 4 Tareq Al Jurf 2010-05-27 06:47:22 EDT
Fixed now :)

+ make -C test check
make: Entering directory `/builddir/build/BUILD/iec16022-0.2.4/test'
make  check-TESTS
make[1]: Entering directory `/builddir/build/BUILD/iec16022-0.2.4/test'
Text test passed
EPS test passed
PNG test passed
Bin test passed
Hex test passed
PASS: ./testsuite.sh
=============
1 test passed
=============

Spec URL: http://taljurf.fedorapeople.org/Packages/i686/iec16022/iec16022.spec
SRPM URL:
http://taljurf.fedorapeople.org/Packages/i686/iec16022/iec16022-0.2.4-4.fc12.src.rpm
Comment 5 Ville Skyttä 2010-06-02 02:02:22 EDT
Created attachment 418918 [details]
Fix test suite exit status on failure

(In reply to comment #3)
> And patching of upstream build process/test scripts is needed; if tests fail,
> the test suite and build should fail too.

Looks like this part is not addressed yet.  Something like the attached patch should do the trick (I just sent the patch upstream too).

Other remaining issues:

%configure and the rpath seds should be done in %build, not %prep.

Version in %changelog's entry for 0.2.4-4 is wrong (0.2.4-3).
Comment 7 Ville Skyttä 2010-06-02 11:00:48 EDT
The rpath related sed commands need to be placed between %configure and make, otherwise they have no effect.
Comment 9 Ville Skyttä 2010-06-02 13:01:17 EDT
Looks good now, approved.
Comment 10 Tareq Al Jurf 2010-06-02 14:18:24 EDT
New Package CVS Request
=======================
Package Name: viewnior
Short Description: The Elegant Image Viewer
Owners: taljurf
Branches: F-11 F-13 rawhide
InitialCC: taljurf
Comment 11 Tareq Al Jurf 2010-06-02 14:19:49 EDT
(In reply to comment #10)
> New Package CVS Request
> =======================
> Package Name: viewnior
> Short Description: The Elegant Image Viewer
> Owners: taljurf
> Branches: F-11 F-13 rawhide
> InitialCC: taljurf    

sorry by mistake

New Package CVS Request
=======================
Package Name: iec16022
Short Description: Generate ISO/IEC 16022 2D barcodes
Owners: taljurf
Branches: F-11 F-13 rawhide
InitialCC: taljurf
Comment 12 Kevin Fenzi 2010-06-03 16:29:01 EDT
With the release of F13 we no longer allow F11 branches. 

Also, why no F12 branch?

Can you doublecheck and confirm your request?
Comment 13 Tareq Al Jurf 2010-06-03 17:52:35 EDT
(In reply to comment #12)
> With the release of F13 we no longer allow F11 branches. 
> 
> Also, why no F12 branch?
> 
> Can you doublecheck and confirm your request?    

Sorry, I misunderstood something.

New Package CVS Request
=======================
Package Name: iec16022
Short Description: Generate ISO/IEC 16022 2D barcodes
Owners: taljurf
Branches: F-12 F-13
InitialCC: taljurf
Comment 14 Kevin Fenzi 2010-06-07 16:58:39 EDT
CVS done (by process-cvs-requests.py).
Comment 15 Ville Skyttä 2010-06-13 17:06:42 EDT
Tareq: ping?
Comment 16 Tareq Al Jurf 2010-06-14 15:22:59 EDT
I'm busy these days with my final exams.
I'll do it as soon as i'm finished, on the 1st of July.
Comment 17 Fedora Update System 2010-07-01 04:25:22 EDT
iec16022-0.2.4-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/iec16022-0.2.4-6.fc13
Comment 18 Fedora Update System 2010-07-01 04:53:38 EDT
iec16022-0.2.4-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/iec16022-0.2.4-6.fc12
Comment 19 Fedora Update System 2010-07-01 14:39:05 EDT
iec16022-0.2.4-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-07-01 14:55:47 EDT
iec16022-0.2.4-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Robert Scheck 2011-10-26 05:01:20 EDT
I need the iec16022 package for the EPEL branches; I'm going to maintain it
there. If you would like to maintain it on the EPEL branches as well, we can
re-assign it at any time to you, just let me simply know. Or you can become
only a co-maintainer if you prefer that. However, I need the package :)


Package Change Request
======================
Package Name: iec16022
New Branches: el4 el5 el6
Owners: robert
Comment 22 Gwyn Ciesla 2011-10-26 07:49:18 EDT
Git done (by process-git-requests).
Comment 23 Fedora Update System 2011-10-26 08:46:24 EDT
iec16022-0.2.4-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iec16022-0.2.4-7.el6
Comment 24 Fedora Update System 2011-10-26 08:52:14 EDT
iec16022-0.2.4-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iec16022-0.2.4-7.el5
Comment 25 Fedora Update System 2011-10-26 08:52:25 EDT
iec16022-0.2.4-7.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/iec16022-0.2.4-7.el4
Comment 26 Tareq Al Jurf 2011-10-27 06:38:11 EDT
(In reply to comment #21)
> I need the iec16022 package for the EPEL branches; I'm going to maintain it
> there. If you would like to maintain it on the EPEL branches as well, we can
> re-assign it at any time to you, just let me simply know. Or you can become
> only a co-maintainer if you prefer that. However, I need the package :)
> 
> 
> Package Change Request
> ======================
> Package Name: iec16022
> New Branches: el4 el5 el6
> Owners: robert

It would better for me if you maintain the EPEL branches yourself, since I'm busy these days. I'll continue to maintain the normal Fedora packages.
Good Luck :)
Comment 27 Fedora Update System 2011-11-20 15:18:32 EST
iec16022-0.2.4-7.el4 has been pushed to the Fedora EPEL 4 stable repository.
Comment 28 Fedora Update System 2011-11-20 15:18:42 EST
iec16022-0.2.4-7.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 29 Fedora Update System 2011-11-20 15:19:22 EST
iec16022-0.2.4-7.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 30 Robert Scheck 2014-10-11 17:42:00 EDT
Package Change Request
======================
Package Name: iec16022
New Branches: epel7
Owners: robert
Comment 31 Kevin Fenzi 2014-10-13 19:02:18 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.